.mobile-menu {
	position: fixed;
	top: 6px;
	left: 6px;
	right: 6px;
	bottom: 82px;
	display: flex;
	flex-direction: column;
	overflow: hidden;
	z-index: 200;
	border-radius: 20px;
	padding: 16px;
	background: var(--white-solid);
}
.mobile-menu-backdrop {
	position: fixed;
	inset: 0;
	background: var(--40-opacity-dark);
	z-index: 195;
}

.mobile-menu:not(.show) {
	display: none;
}
.mobile-menu:not(.show) ~ .mobile-menu-backdrop {
	display: none;
}

.mobile-search {
	display: flex;
	flex-direction: column;
	.mega-menu-search-not-found {
		min-height: 0;
		flex: 1 1 auto;
		font-size: 16px;
	}
	.mega-menu-search-title {
		font-size: 20px;
	}
	&.is-active {
		flex-grow: 1;
	}
	.form-search__input {
		background-color: var(--white);
	}
}

.mobile-search .form-search {
	margin-bottom: 20px;
}

.mobile-menu {
	.nav-back-link {
		background: none;
		padding: 0;
		color: inherit;
		display: inline-flex;
		align-items: center;
		border:0;
		&::before {
			content: "";
			color: var(--dark);
			margin-right: 4px;
			--icon: var(--url-icon-chevron-down);
			transform: rotate(90deg);
			display: inline-block;
			width: 1em;
			height: 1em;
			font-family: Arial, Helvetica, sans-serif;
			text-transform: none;
			font-weight: 400 !important;
			vertical-align: -.125em;
			-webkit-mask-image: var(--icon);
			mask-image: var(--icon);
			-webkit-mask-repeat: no-repeat;
			mask-repeat: no-repeat;
			-webkit-mask-size: contain;
			mask-size: contain;
			background-color: currentColor;
			-webkit-mask-position: center;
			font-size: 24px;
		}
	}
	.nav-chain-path {
		font-weight: 500;
		font-size: 12px;
		line-height: 145%;
		letter-spacing: -0.01em;
		margin-bottom: 12px;
		color: var(--40-opacity-dark);
	}
	.nav-item-caption {
		font-size: 12px;
	}
}

.mobile-nav {
	overflow-y: auto;
	overflow-x: hidden;
	flex: 1 1 0;
	.mobile-nav-list {
		list-style: none;
		padding-left: 0;
		margin-bottom: 0;
		position: relative;
		a {
			color: inherit;
		}
	}
	.nav-item {
		margin-bottom: 16px;
	}
	.nav-link {
		display: flex;
		&::after {
			content: "";
			flex-shrink: 0;
			color: var(--dark);
			margin-left: auto;
			--icon: var(--url-icon-chevron-down);
			transform: rotate(-90deg);
			display: inline-block;
			width: 1em;
			height: 1em;
			font-family: Arial, Helvetica, sans-serif;
			text-transform: none;
			font-weight: 400 !important;
			vertical-align: -.125em;
			-webkit-mask-image: var(--icon);
			mask-image: var(--icon);
			-webkit-mask-repeat: no-repeat;
			mask-repeat: no-repeat;
			-webkit-mask-size: contain;
			mask-size: contain;
			background-color: currentColor;
			-webkit-mask-position: center;
			font-size: 24px;
		}
	}
}

.mobile-nav-bottom {
	margin-top: 16px;
	.btn {
		min-height: 44px;
		padding: 11px;
		font-weight: 600;
		font-size: 16px;
		line-height: 135%;
		letter-spacing: -0.01em;
	}
}

.mobile-menu-contacts {
	margin-right: auto;
	padding-right: 16px;
	font-weight: 500;
	font-size: 16px;
	line-height: 150%;
	letter-spacing: -0.01em;
	color: var(--65-opacity-dark);
	margin-top: 8px;
	a {
		color: inherit;
	}
}

.mobile-menu-actions {
	display: flex;
	align-items: start;
	gap: 16px;
	.action {
		font-weight: 500;
		background: 0 0;
		border: none;
		padding: 0;
		cursor: pointer;
		min-width: 40px;
		height: 40px;
		display: inline-flex;
		justify-content: center;
		align-items: center;
	}
}

.mobile-search-results {
    flex: 1 1 0;
    overflow-y: auto;
}

.body-mobile-menu-open {
	overflow: hidden;
}